#version 330 core

layout(location = 0) in vec3 vertexPosition_modelspace;
layout(location = 1) in vec2 vertexUV;
layout(location = 2) in vec3 vertexNormal;

out vec2 UV;
out float VY;
out vec3 NORMAL;

uniform mat4 MVP;

void main()
{
	vec4 pos = MVP * vec4(vertexPosition_modelspace, 1);
	gl_Position = pos;
	VY = vertexPosition_modelspace.y;
	UV = vertexUV;
	NORMAL = vertexNormal;
}
